> ## Documentation Index
> Fetch the complete documentation index at: https://support.lilt.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Tag a Segment

> Project tags for a segment. The `source_tagged` string contains one or more SGML
tags. The `target` string is untagged. This endpoint will automatically place the
source tags in the target.

Usage charges apply to this endpoint for production REST API keys.





## OpenAPI

````yaml /api-reference/openapi-bundled.yaml get /segments/tag
openapi: 3.0.3
info:
  title: LILT API
  description: >
    LILT API Support: https://lilt.atlassian.net/servicedesk/customer/portals


    The LILT API enables programmatic access to the full-range of LILT backend
    services including:
      * Training of and translating with interactive, adaptive machine translation
      * Large-scale translation memory
      * The Lexicon (a large-scale termbase)
      * Programmatic control of the LILT CAT environment
      * Translation memory synchronization


    Requests and responses are in JSON format. The REST API only responds to
    HTTPS / SSL requests.


    The base url for this REST API is `https://api.lilt.com/`.


    ## Authentication


    Requests are authenticated via API key, which requires the Business plan.


    Requests are authenticated using [HTTP Basic
    Auth](https://en.wikipedia.org/wiki/Basic_access_authentication). Add your
    API key as both the `username` and `password`.


    For development, you may also pass the API key via the `key` query
    parameter. This is less secure than HTTP Basic Auth, and is not recommended
    for production use.


    ## Quotas


    Our services have a general quota of 4000 requests per minute. Should you
    hit the maximum requests per minute, you will need to wait 60 seconds before
    you can send another request.
  version: v3.0.3
  license:
    name: LILT Platform Terms and Conditions
    url: https://lilt.com/lilt-platform-terms-and-conditions
servers:
  - url: https://api.lilt.com
security:
  - BasicAuth: []
  - ApiKeyAuth: []
paths:
  /segments/tag:
    get:
      tags:
        - Segments
      summary: Tag a Segment
      description: >+
        Project tags for a segment. The `source_tagged` string contains one or
        more SGML

        tags. The `target` string is untagged. This endpoint will automatically
        place the

        source tags in the target.


        Usage charges apply to this endpoint for production REST API keys.

      operationId: tagSegment
      parameters:
        - description: The tagged source string.
          in: query
          name: source_tagged
          required: true
          schema:
            type: string
        - description: The target string.
          in: query
          name: target
          required: true
          schema:
            type: string
        - description: A unique Memory identifier.
          in: query
          name: memory_id
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: A TaggedSegment object.
          content:
            application/json:
              schema:
                title: TaggedSegment
                type: object
                properties:
                  source_tagged:
                    type: string
                    description: The tagged source string.
                  target_tagged:
                    type: string
                    description: The tagged target string.
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      type: object
      properties:
        message:
          type: string
          description: A human-readable message describing the error.
      description: |
        Response in the event of an unexpected error.
      example:
        message: Internal server error.
  securitySchemes:
    BasicAuth:
      type: http
      scheme: basic
    ApiKeyAuth:
      type: apiKey
      name: key
      in: query

````